Bug 1650361 - "Filesystem mounted at '/' is not responding" notification on log in to Plasma 5.14.3
Summary: "Filesystem mounted at '/' is not responding" notification on log in to Plasm...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 00:14 UTC by Matt Fagnani
Modified: 2019-11-27 23:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:05:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 401088 'NOR' 'UNCONFIRMED' '"Filesystem mounted at ''/'' is not responding" notification on log in to Plasma 5.14.3' 2019-12-04 19:08:27 UTC

Description Matt Fagnani 2018-11-16 00:14:18 UTC
Description of problem:

When I've logged in to Plasma 5.14.3 from lightdm 1.28.0-2 in Fedora 29, I've seen the notification pop-up 
"Filesystem is not responding 
Filesystem mounted at '/' is not responding" in the bottom-right of the screen. That message also showed up in Notifications in the Status & Notifications applet. The notification sometimes showed a different partition I have mounted like /mnt/sda2 instead of / . The filesystems are functioning normally. The notifications haven't indicated any actual problem with the partitions from what I could tell.

Version-Release number of selected component (if applicable):
plasma-workspace-0:5.14.3-1.fc29.i686
kf5-solid-0:5.52.0-1.fc29.i686
qt5-qtbase-0:5.11.1-9.fc29.i686

How reproducible:
The notifications have occurred each time I've logged in to Plasma 5.14.3

Steps to Reproduce:
1. Logged in to Plasma 5.14.3 in Fedora 29
2. The notification "Filesystem mounted at '/' is not responding" appeared 
3. Clicked on Status & Notifications applet > Notifications

Actual results:
The notification "Filesystem mounted at '/' is not responding" appeared in the bottom-right of the screen and in Notifications in the Status & Notifications applet.

Expected results:
No notification that the / filesystem is not responding should appear.

Additional info:

I reported this issue at https://bugs.kde.org/show_bug.cgi?id=401088

The commit at https://phabricator.kde.org/R120:e1c19ce4daf92a14dee44b44d199672034a346c0 added lines 552-584 to 
plasma-workspace/dataengines/soliddevice/soliddeviceengine.cpp which could produce the notification I've been seeing on lines 557-558
KNotification::event(KNotification::Error, i18n("Filesystem is not responding", path),
 i18n("Filesystem mounted at '%1' is not responding", path));

plasma-workspace/dataengines/soliddevice/soliddeviceengine.cpp is at
https://phabricator.kde.org/source/plasma-workspace/browse/master/dataengines/soliddevice/soliddeviceengine.cpp$27

That commit was discussed in https://phabricator.kde.org/D14895

I installed plasma-vault-5.14.3-1 after upgrading to plasma 5.14.3. I'm not sure if plasma-vault might be related to the notifications.

Comment 1 Danny Ciarniello 2019-03-07 20:46:19 UTC
I have seen this multiple times as well but not only with "/".  I've also seen it with "/boot".  Note that I am not using LVM but am using a "traditional" partition scheme although I don't know that that should matter.

The basic behaviour is that when I log in, KDE hangs for a while - maybe 30s or so? - and then continues with the "Filesystem not responding" notification being displayed.

Other than the slow login and the notification, everything seems to work fine. 

But it is worrisome and the slow login is extremely annoying.

This does not happen every time I login in but it does happen more often than not.

Interestingly, this only happens on one of my computers.  Another that I have does not exhibit this behaviour.

Comment 2 Danny Ciarniello 2019-03-07 20:48:01 UTC
Further info: I am currently on plasma 5.14.5 but the problem has been around for quite a while; probably from well before 5.4.13.

Comment 3 mathieu.carpentier 2019-07-25 17:27:58 UTC
I experience the same on Fedora 30: Filesystem mounted at '/home' is not responding. It does not occur each time I login.


Kernel: 5.1.18-300.fc30.x86_64
Plasma: 5.15.5

Comment 4 Ben Cotton 2019-10-31 19:01:31 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:05:26 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.